package com.supServer.project.mapper;

import com.supServer.project.entity.BizCategory;
import com.supServer.project.entity.vo.BizCategoryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigInteger;
import java.util.List;

@Mapper
public interface BizCategoryMapper {


    List<BizCategory> listTree(@Param("vo") BizCategoryVo vo);

    List<BizCategory> oneLevels(@Param("vo") BizCategoryVo vo);

    List<BizCategory> twoLevels(@Param("vo") List<BigInteger> vo);
}
